commit: f3b963504036a0835d32866249ff95834ffb8263
Author: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 30 09:28:17 2020 +0000
Commit: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sun Aug 30 09:28:17 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3b96350
dev-haskell/wxcore: bump up to 0.92.3.0
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>
dev-haskell/wxcore/Manifest | 1 +
.../wxcore/files/wxcore-0.92.2.0-ghc-8.4.patch | 5 +++
.../wxcore/files/wxcore-0.92.3.0-cabal-3.patch | 11 +++++
dev-haskell/wxcore/wxcore-0.92.3.0.ebuild | 52 ++++++++++++++++++++++
4 files changed, 69 insertions(+)
diff --git a/dev-haskell/wxcore/Manifest b/dev-haskell/wxcore/Manifest
index 7eb5e7040cb..59e419e066a 100644
--- a/dev-haskell/wxcore/Manifest
+++ b/dev-haskell/wxcore/Manifest
@@ -1 +1,2 @@
DIST wxcore-0.92.2.0.tar.gz 400116 BLAKE2B
c4d87792ad7a7fdf125ef68211f1efe89bff9d3114dc2dacb8f7b96a824fa359addb00c331e3d8fd6325cf90cf3c78448c500431ef18ac7d2989eedee952e17c
SHA512
e1339ea30a699e22a9fc2f12b6ddcd773911e4d611f834886952bde4d76205c448e1702bab3148f4c370eec1cabeac06655b4cf3cbbfe24e2ea08a628906880a
+DIST wxcore-0.92.3.0.tar.gz 400300 BLAKE2B
ce7ea6e2ec71935001d0b1fd347d5aa57de5d9f7cab9cf9fa87879c8dfd6291e76811899aeaccf8c227d54e6b0499ea5420dabac84014cbbf6373f8dd8a60f0f
SHA512
199eb8afa9b568637c8d1fb2ab8b98a73d4ea9f03df088a855a88f17728997ed1044fb7c1c69d732530d7b24ae312e8dfc3f6ffc0396765d583531524d10a442
diff --git a/dev-haskell/wxcore/files/wxcore-0.92.2.0-ghc-8.4.patch
b/dev-haskell/wxcore/files/wxcore-0.92.2.0-ghc-8.4.patch
new file mode 100644
index 00000000000..6c7c2c7e9ce
--- /dev/null
+++ b/dev-haskell/wxcore/files/wxcore-0.92.2.0-ghc-8.4.patch
@@ -0,0 +1,5 @@
+--- a/src/haskell/Graphics/UI/WXCore/WxcTypes.hs
++++ b/src/haskell/Graphics/UI/WXCore/WxcTypes.hs
+@@ -125 +125 @@ import Data.Ix
+-import Foreign.C
++import Foreign.C hiding (CBool)
diff --git a/dev-haskell/wxcore/files/wxcore-0.92.3.0-cabal-3.patch
b/dev-haskell/wxcore/files/wxcore-0.92.3.0-cabal-3.patch
new file mode 100644
index 00000000000..b93da91f7f4
--- /dev/null
+++ b/dev-haskell/wxcore/files/wxcore-0.92.3.0-cabal-3.patch
@@ -0,0 +1,11 @@
+--- a/Setup.hs
++++ b/Setup.hs
+@@ -7,7 +7,7 @@ import Data.List (foldl', intersperse, intercalate, nub,
lookup, isPrefixOf, isI
+ import Data.Maybe (fromJust)
+ import Distribution.PackageDescription hiding (includeDirs)
+ import qualified Distribution.PackageDescription as PD (includeDirs)
+-import Distribution.InstalledPackageInfo(installedPackageId, sourcePackageId,
includeDirs)
++import Distribution.InstalledPackageInfo({-installedPackageId,-}
sourcePackageId, includeDirs)
+ import Distribution.Simple
+ import Distribution.Simple.LocalBuildInfo (LocalBuildInfo, localPkgDescr,
installedPkgs, withPrograms, buildDir)
+ import Distribution.Simple.PackageIndex(SearchResult (..), searchByName,
allPackages )
diff --git a/dev-haskell/wxcore/wxcore-0.92.3.0.ebuild
b/dev-haskell/wxcore/wxcore-0.92.3.0.ebuild
new file mode 100644
index 00000000000..45fad5cbefe
--- /dev/null
+++ b/dev-haskell/wxcore/wxcore-0.92.3.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# ebuild generated by hackport 0.5.3.9999
+
+WX_GTK_VER="3.0"
+
+CABAL_FEATURES="lib profile haddock hoogle hscolour"
+inherit haskell-cabal wxwidgets
+
+DESCRIPTION="wxHaskell core"
+HOMEPAGE="https://wiki.haskell.org/WxHaskell"
+SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"
+
+LICENSE="wxWinLL-3.1"
+SLOT="${WX_GTK_VER}/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="gstreamer"
+
+RDEPEND="dev-haskell/parsec:=[profile?]
+ dev-haskell/stm:=[profile?]
+ >=dev-haskell/wxc-0.92:${WX_GTK_VER}=[profile?,gstreamer?]
+ >=dev-haskell/wxdirect-0.91:${WX_GTK_VER}=[profile?]
+ >=dev-lang/ghc-7.4.1:=
+ x11-libs/wxGTK:${WX_GTK_VER}=[X,gstreamer?,opengl]
+"
+DEPEND="${RDEPEND}
+ >=dev-haskell/cabal-1.23
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.92.2.0-ghc-8.4.patch
+ "${FILESDIR}"/${PN}-0.92.3.0-cabal-3.patch
+)
+
+src_prepare() {
+ default
+
+ sed -e "s@wxdirect@wxdirect-${WX_GTK_VER}@g" \
+ -i "${S}/Setup.hs" \
+ || die "Could not change Setup.hs for wxdirect slot
${WX_GTK_VER}"
+
+ cabal_chdeps\
+ 'containers >= 0.2 && < 0.6' 'containers >=0.2'
+}
+
+src_configure() {
+ haskell-cabal_src_configure \
+ --flag=splitbase
+}